body.scroll-off {
  overflow: hidden !important;
  overscroll-behavior: none !important;
  -webkit-overflow-scrolling: auto !important;
  touch-action: none !important;
}

.overview-feature {
  position: relative;
  height: 300vh;
  transition: background 0.3s;
  overflow: clip;
}

@media (min-width: 769px) {
  .overview-feature.mode-dark {
    background: #0f0d38;
  }

  .overview-feature.mode-dark h2.feature-title {
    color: #fff;
    transition: color 0.3s;
  }
}

.overview-feature .sticky-area {
  position: sticky;
  top: 0;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.overview-feature .horizontal-area {
  display: flex;
  width: fit-content;
  transition: transform 0.3s;
  will-change: transform;
  transform-style: preserve-3d;
}

.overview-feature .title-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh;
}

.overview-feature h2.feature-title {
  color: #111827;
  text-align: center;
  font-size: 120px;
  font-weight: 600;
  line-height: 120%;
  letter-spacing: -2.4px;
}

.overview-feature h2.feature-title .highlight {
  background: linear-gradient(-90deg, #05d16e 50%, #d1d5db 50%);
  background-size: 200% 100%;
  background-position: 200% 50%;
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  transition: background-position 0.8s;
}

.overview-feature .feature-intro .feature-title.common-text-animation .highlight,
.overview-feature .feature-slogan.animation .feature-title .highlight {
  background-position: 100% 50%;
}

@media (min-width: 769px) {
  .overview-feature .feature-slogan .feature-title,
  .overview-feature .feature-slogan .btn-feature-slogan {
    opacity: 0;
    transform: translateY(120px);
  }
}

.overview-feature .feature-slogan.animation .feature-title,
.overview-feature .feature-slogan.animation .btn-feature-slogan {
  opacity: 1;
  transform: unset;
}

.overview-feature .feature-slogan.animation .feature-title .highlight {
  transition-delay: 0.3s;
}

.overview-feature .feature-list {
  display: flex;
}

.overview-feature .feature-item {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100vw;
}

.overview-feature .feature-item-inner {
  position: relative;
}

.overview-feature h3.feature-title {
  color: #111827;
  font-size: 64px;
  font-weight: 600;
  line-height: 130%;
  letter-spacing: -1.28px;
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity 0.3s,
    transform 0.3s;
}

.overview-feature .feature-item.animation h3.feature-title {
  opacity: 1;
  transform: unset;
  transition-delay: 0.3s;
}

.overview-feature .feature-image {
  position: relative;
  max-width: 100%;
  opacity: 0;
  object-fit: contain;
  transform: translateY(20px);
  transition:
    opacity 0.3s,
    transform 0.3s;
}

.overview-feature .feature-image-mobile {
  display: none;
}

.overview-feature .feature-item.animation .feature-image {
  opacity: 1;
  transform: unset;
  transition-delay: 0.4s;
}

.overview-feature .feature-description {
  position: absolute;
}

.overview-feature .feature-summary {
  color: #111827;
  font-size: 40px;
  font-weight: 600;
  line-height: 140%;
  letter-spacing: -0.4px;
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity 0.3s,
    transform 0.3s;
}

.overview-feature .feature-item.animation .feature-summary {
  opacity: 1;
  transform: unset;
  transition-delay: 0.5s;
}

.overview-feature .feature-detail {
  margin-top: 12px;
  color: #6b7280;
  font-size: 18px;
  font-weight: 500;
  line-height: 160%;
  letter-spacing: -0.18px;
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity 0.3s,
    transform 0.3s;
}

.overview-feature .feature-item.animation .feature-detail {
  opacity: 1;
  transform: unset;
  transition-delay: 0.6s;
}

.overview-feature .btn-feature-detail {
  display: flex;
  align-items: center;
  width: fit-content;
  height: 56px;
  margin-top: 24px;
  padding: 0 16px;
  color: #fff;
  font-size: 16px;
  font-weight: 600;
  line-height: 160%;
  letter-spacing: -0.16px;
  text-decoration: none;
  border-radius: 8px;
  background: #05d16e;
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity 0.3s,
    transform 0.3s;
}

.overview-feature .feature-item.animation .btn-feature-detail {
  opacity: 1;
  transform: unset;
  transition-delay: 0.7s;
}

@media (min-width: 769px) {
  .overview-feature .feature-item:nth-of-type(1) .feature-item-inner {
    max-width: 100vw;
    padding-right: 303px;
  }

  .overview-feature .feature-item:nth-of-type(1) .feature-description {
    top: 22vh;
    right: 0;
  }

  .overview-feature .feature-item:nth-of-type(1) .feature-image {
    top: -1vh;
    left: -2vh;
    height: 63.5vh;
    margin-top: 27px;
  }

  .overview-feature .feature-item:nth-of-type(2) {
    justify-content: flex-end;
  }

  .overview-feature .feature-item:nth-of-type(2) .feature-item-inner {
    padding-right: 312px;
  }

  .overview-feature .feature-item:nth-of-type(2) .feature-description {
    top: 35vh;
    right: 0;
  }

  .overview-feature .feature-item:nth-of-type(2) .feature-image {
    top: -1vh;
    left: -11vh;
    height: 54vh;
    margin-top: 42px;
  }

  .overview-feature .feature-item:nth-of-type(3) {
    justify-content: flex-start;
  }

  .overview-feature .feature-item:nth-of-type(3) .feature-item-inner {
    padding-top: 9vh;
    padding-right: 143px;
  }

  .overview-feature .feature-item:nth-of-type(3) .feature-description {
    top: 63.46vh;
    right: 0;
  }

  .overview-feature .feature-item:nth-of-type(3) .feature-image {
    top: -1vh;
    left: -8vh;
    height: 47.2vh;
    margin-top: 33px;
  }

  .overview-feature .feature-item:nth-of-type(4) .feature-title {
    text-align: center;
  }

  .overview-feature .feature-item:nth-of-type(4) .feature-item-inner {
    padding-top: 15vh;
    padding-right: 388px;
  }

  .overview-feature .feature-item:nth-of-type(4) .feature-description {
    right: 0;
    bottom: 8.4vh;
  }

  .overview-feature .feature-item:nth-of-type(4) .feature-image {
    top: -1vh;
    left: -2vh;
    height: 61vh;
    margin-top: 48px;
  }

  .overview-feature .feature-item:nth-of-type(5) .feature-item-inner {
    padding-right: 346px;
  }

  .overview-feature .feature-item:nth-of-type(5) .feature-description {
    top: 16vh;
    right: 0;
  }

  .overview-feature .feature-item:nth-of-type(5) .feature-image {
    top: -1vh;
    left: -2vh;
    height: 57.37vh;
    margin-top: 32px;
  }
}

.overview-feature .btn-feature-slogan {
  display: flex;
  align-items: center;
  width: fit-content;
  height: 108px;
  margin-top: 56px;
  padding: 0 48px;
  color: #fff;
  font-size: 32px;
  font-weight: 600;
  line-height: 140%;
  letter-spacing: -0.32px;
  border-radius: 8px;
  background: #05d16e;
}

.overview-feature .bg-line {
  position: absolute;
  top: calc(50% - 11vh);
  left: calc(50vw + 400px);
  z-index: -1;
  width: calc(100% - 100vw - 1000px);
  height: 100%;
  transform: translateY(-50%);
}

.overview-feature .bg-line path {
  transform: translate3D(0, 0, 0);
  will-change: stroke-dashoffset;
  transform-style: preserve-3d;
  transition: stroke-dashoffset 0.5s;
}

.overview-feature .button-skip {
  position: sticky;
  left: 60px;
  top: calc(100vh - 116px);
  margin-top: -116px;
  margin-bottom: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 8px;
  width: 88px;
  height: 56px;
  color: #1f2937;
  font-size: 16px;
  font-weight: 600;
  line-height: 160%;
  letter-spacing: -0.16px;
  cursor: pointer;
  border: unset;
  border-radius: 8px;
  background: #f3f4f6;
  transition: 0.4s ease;
}

@media (hover: hover) {
  .overview-feature .button-skip:hover {
    background: #e5e7eb;
  }
}

@media (max-width: 1919px) {
  .overview-feature h2.feature-title {
    font-size: 100px;
    letter-spacing: -2px;
  }

  .overview-feature h3.feature-title {
    font-size: 56px;
    letter-spacing: -1.12px;
  }

  .overview-feature .btn-feature-slogan {
    height: 76px;
    padding: 0 32px;
    font-size: 24px;
    font-weight: 600;
    line-height: 150%;
    letter-spacing: -0.24px;
  }

  .overview-feature .bg-line {
    width: calc(100% - 100vw - 800px);
  }

  .overview-feature .button-skip {
    left: 40px;
    top: calc(100vh - 96px);
    margin-top: -96px;
    margin-bottom: 40px;
  }
}

@media (max-width: 1599px) {
  .overview-feature h2.feature-title {
    font-size: 80px;
    letter-spacing: -1.6px;
  }

  .overview-feature h3.feature-title {
    font-size: 48px;
    line-height: 135%;
    letter-spacing: -0.48px;
  }

  .overview-feature .feature-summary {
    font-size: 24px;
    line-height: 150%;
    letter-spacing: -0.24px;
  }

  .overview-feature .feature-detail {
    margin-top: 6.5px;
    font-size: 15px;
    letter-spacing: unset;
  }

  .overview-feature .btn-feature-detail {
    height: 48px;
    margin-top: 16px;
    font-size: 15px;
    font-weight: 500;
  }

  .overview-feature .btn-feature-slogan {
    height: 64px;
    margin-top: 40px;
    padding: 0 24px;
    font-size: 20px;
    letter-spacing: -0.2px;
  }

  .overview-feature .bg-line {
    left: calc(50vw + 300px);
    width: calc(100% - 100vw - 700px);
  }

  .overview-feature .button-skip {
    left: 32px;
    top: calc(100vh - 88px);
    margin-top: -88px;
    margin-bottom: 32px;
  }
}

@media (max-width: 768px) {
  .overview-feature {
    height: auto;
  }

  .overview-feature .sticky-area {
    position: unset;
    height: auto;
  }

  .overview-feature .horizontal-area {
    position: unset;
    display: block;
    width: 100%;
    height: auto;
    transform: translate3D(0, 0, 0) !important;
  }

  .overview-feature .title-section {
    display: block;
    width: 100%;
    height: auto;
  }

  .overview-feature .title-section.feature-intro {
    margin: 80px 0 100px;
  }

  .overview-feature .title-section.feature-slogan {
    margin: 148px 0 102px;
  }

  .overview-feature h2.feature-title {
    font-size: 36px;
    line-height: 130%;
    letter-spacing: -0.36px;
  }

  .overview-feature .mobile-animation h2.feature-title .highlight {
    background-position: 100% 50%;
  }

  .overview-feature .feature-list {
    display: block;
    text-align: center;
  }

  .overview-feature .feature-item {
    display: block;
    width: 100%;
  }

  .overview-feature .feature-item + .feature-item {
    margin-top: 80px;
  }

  .overview-feature h3.feature-title {
    font-size: 24px;
    line-height: 130%;
    letter-spacing: -0.24px;
    opacity: 1;
    transform: unset;
  }

  .overview-feature .feature-image {
    display: none;
  }

  .overview-feature .feature-image-mobile {
    display: block;
    width: calc(100% - 20px);
    margin: 10px auto 16px;
  }

  .overview-feature .feature-description {
    position: unset;
  }

  .overview-feature .feature-summary {
    font-size: 18px;
    line-height: 140%;
    letter-spacing: -0.18px;
    opacity: 1;
    transform: unset;
  }

  .overview-feature .feature-detail {
    margin-top: 6px;
    font-weight: 400;
    line-height: 150%;
    opacity: 1;
    transform: unset;
  }

  .overview-feature .btn-feature-detail {
    justify-content: center;
    width: calc(100% - 40px);
    margin: 24px auto 0;
    padding: 0;
    font-size: 16px;
    opacity: 1;
    transform: unset;
    background: #374151;
  }

  .overview-feature .btn-feature-slogan {
    height: 60px;
    margin: 24px auto 0;
    font-size: 18px;
    line-height: 160%;
    letter-spacing: -0.18px;
  }

  .overview-feature .button-skip,
  .overview-feature .bg-line {
    display: none;
  }
}
